summaryrefslogtreecommitdiff
path: root/tests/setup/http-git-check
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2019-08-16 10:00:50 +0100
committerSean Whitton <spwhitton@spwhitton.name>2019-08-16 10:00:50 +0100
commit0569aa2c25dc3374d9d51dfea9dc09be2fa6e510 (patch)
tree4af4ab614da0ebe6cfc858e845367994c9396a85 /tests/setup/http-git-check
parentfa3ba6501e1f62bda0f2f455555abe3ba1588b15 (diff)
parent690ba12221518b883a1895ca6be8243c1f39640b (diff)
Merge tag 'debian/9.7' into buster-bpo
dgit release 9.7 for unstable (sid) [dgit] [dgit distro=debian no-split] # gpg: Signature made Sun 11 Aug 2019 01:11:36 AM BST # gpg: using RSA key 559AE46C2D6B6D3265E7CBA1E3E3392348B50D39 # gpg: Can't check signature: No public key
Diffstat (limited to 'tests/setup/http-git-check')
-rwxr-xr-xtests/setup/http-git-check15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/setup/http-git-check b/tests/setup/http-git-check
new file mode 100755
index 0000000..0e3b7c2
--- /dev/null
+++ b/tests/setup/http-git-check
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-dependencies libhttp-server-simple-static-perl
+
+t-setup-done '' --files-from=/dev/null '
+ $troot/http-static-server >$tmp/must-clean/git-check.port $tmp/git
+ read <$tmp/must-clean/git-check.port git_check_port
+
+ t-git-config --global dgit-distro.test-dummy.git-check url
+ t-git-config --global dgit-distro.test-dummy.git-check-suffix .git/HEAD
+ t-git-config --global dgit-distro.test-dummy.git-check-url \
+ http://127.0.0.1:$git_check_port
+'